#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,256,320,448,640,1280
 * N : 25,128,192,256,320,448,640,1280
 * NB : 4,16,16,32,24,64,64,64
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 4; \
   else if ((n_) < 224) (nb_) = 16; \
   else if ((n_) < 288) (nb_) = 32; \
   else if ((n_) < 384) (nb_) = 24; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
